Index: testsuites/ada/tmtests/tm01/config.h
===================================================================
--- testsuites/ada/tmtests/tm01/config.h	(revision c4b8b147ddfc945810b60a2410efd8acc280ba3c)
+++ testsuites/ada/tmtests/tm01/config.h	(revision f6c9334d9b78d8a9791b2ba3ab401c43fb6eb39e)
@@ -20,4 +20,6 @@
 
 #define CONFIGURE_MAXIMUM_TASKS              2
+
+#define ADA_TEST_NAME "ADA TM 1"
 #define CONFIGURE_MAXIMUM_SEMAPHORES         1
 #define CONFIGURE_TICKS_PER_TIMESLICE        0
Index: testsuites/ada/tmtests/tm01/tmtest.adb
===================================================================
--- testsuites/ada/tmtests/tm01/tmtest.adb	(revision c4b8b147ddfc945810b60a2410efd8acc280ba3c)
+++ testsuites/ada/tmtests/tm01/tmtest.adb	(revision f6c9334d9b78d8a9791b2ba3ab401c43fb6eb39e)
@@ -41,5 +41,5 @@
 
       TEXT_IO.NEW_LINE( 2 );
-      TEXT_IO.PUT_LINE( "*** TIME TEST 1 ***" );
+      TEST_SUPPORT.ADA_TEST_BEGIN;
 
       TMTEST.TASK_NAME( 1 ) := RTEMS.BUILD_NAME(  'T', 'A', '1', ' ' );
@@ -266,5 +266,5 @@
       );
 
-      TEXT_IO.PUT_LINE( "*** END OF TIME TEST 1 ***" );
+      TEST_SUPPORT.ADA_TEST_END;
       RTEMS.SHUTDOWN_EXECUTIVE( 0 );
    
Index: testsuites/ada/tmtests/tm02/config.h
===================================================================
--- testsuites/ada/tmtests/tm02/config.h	(revision c4b8b147ddfc945810b60a2410efd8acc280ba3c)
+++ testsuites/ada/tmtests/tm02/config.h	(revision f6c9334d9b78d8a9791b2ba3ab401c43fb6eb39e)
@@ -20,4 +20,6 @@
 
 #define CONFIGURE_MAXIMUM_TASKS              111
+
+#define ADA_TEST_NAME "ADA TM 2"
 #define CONFIGURE_MAXIMUM_TIMERS             110
 #define CONFIGURE_MAXIMUM_SEMAPHORES         101
Index: testsuites/ada/tmtests/tm02/tmtest.adb
===================================================================
--- testsuites/ada/tmtests/tm02/tmtest.adb	(revision c4b8b147ddfc945810b60a2410efd8acc280ba3c)
+++ testsuites/ada/tmtests/tm02/tmtest.adb	(revision f6c9334d9b78d8a9791b2ba3ab401c43fb6eb39e)
@@ -41,5 +41,5 @@
 
       TEXT_IO.NEW_LINE( 2 );
-      TEXT_IO.PUT_LINE( "*** TIME TEST 2 ***" );
+      TEST_SUPPORT.ADA_TEST_BEGIN;
 
       TMTEST.TEST_INIT;
@@ -199,5 +199,5 @@
       );
 
-      TEXT_IO.PUT_LINE( "*** END OF TIME TEST 2 ***" );
+      TEST_SUPPORT.ADA_TEST_END;
       RTEMS.SHUTDOWN_EXECUTIVE( 0 );
 
Index: testsuites/ada/tmtests/tm03/config.h
===================================================================
--- testsuites/ada/tmtests/tm03/config.h	(revision c4b8b147ddfc945810b60a2410efd8acc280ba3c)
+++ testsuites/ada/tmtests/tm03/config.h	(revision f6c9334d9b78d8a9791b2ba3ab401c43fb6eb39e)
@@ -20,4 +20,6 @@
 
 #define CONFIGURE_MAXIMUM_TASKS              111
+
+#define ADA_TEST_NAME "ADA TM 3"
 #define CONFIGURE_MAXIMUM_TIMERS             110
 #define CONFIGURE_MAXIMUM_SEMAPHORES         101
Index: testsuites/ada/tmtests/tm03/tmtest.adb
===================================================================
--- testsuites/ada/tmtests/tm03/tmtest.adb	(revision c4b8b147ddfc945810b60a2410efd8acc280ba3c)
+++ testsuites/ada/tmtests/tm03/tmtest.adb	(revision f6c9334d9b78d8a9791b2ba3ab401c43fb6eb39e)
@@ -42,5 +42,5 @@
 
       TEXT_IO.NEW_LINE( 2 );
-      TEXT_IO.PUT_LINE( "*** TIME TEST 3 ***" );
+      TEST_SUPPORT.ADA_TEST_BEGIN;
 
       RTEMS.TASKS.CREATE( 
@@ -183,5 +183,5 @@
       );
 
-      TEXT_IO.PUT_LINE( "*** END OF TIME TEST 3 ***" );
+      TEST_SUPPORT.ADA_TEST_END;
       RTEMS.SHUTDOWN_EXECUTIVE( 0 );
 
Index: testsuites/ada/tmtests/tm04/config.h
===================================================================
--- testsuites/ada/tmtests/tm04/config.h	(revision c4b8b147ddfc945810b60a2410efd8acc280ba3c)
+++ testsuites/ada/tmtests/tm04/config.h	(revision f6c9334d9b78d8a9791b2ba3ab401c43fb6eb39e)
@@ -20,4 +20,6 @@
 
 #define CONFIGURE_MAXIMUM_TASKS              111
+
+#define ADA_TEST_NAME "ADA TM 4"
 #define CONFIGURE_MAXIMUM_SEMAPHORES         1
 #define CONFIGURE_TICKS_PER_TIMESLICE        0
Index: testsuites/ada/tmtests/tm04/tmtest.adb
===================================================================
--- testsuites/ada/tmtests/tm04/tmtest.adb	(revision c4b8b147ddfc945810b60a2410efd8acc280ba3c)
+++ testsuites/ada/tmtests/tm04/tmtest.adb	(revision f6c9334d9b78d8a9791b2ba3ab401c43fb6eb39e)
@@ -40,5 +40,5 @@
 
       TEXT_IO.NEW_LINE( 2 );
-      TEXT_IO.PUT_LINE( "*** TIME TEST 4 ***" );
+      TEST_SUPPORT.ADA_TEST_BEGIN;
 
       TMTEST.TEST_INIT;
@@ -398,5 +398,5 @@
       );
 
-      TEXT_IO.PUT_LINE( "*** END OF TIME TEST 4 ***" );
+      TEST_SUPPORT.ADA_TEST_END;
       RTEMS.SHUTDOWN_EXECUTIVE( 0 );
 
Index: testsuites/ada/tmtests/tm05/config.h
===================================================================
--- testsuites/ada/tmtests/tm05/config.h	(revision c4b8b147ddfc945810b60a2410efd8acc280ba3c)
+++ testsuites/ada/tmtests/tm05/config.h	(revision f6c9334d9b78d8a9791b2ba3ab401c43fb6eb39e)
@@ -20,4 +20,6 @@
 
 #define CONFIGURE_MAXIMUM_TASKS              111
+
+#define ADA_TEST_NAME "ADA TM 5"
 #define CONFIGURE_MAXIMUM_TIMERS             110
 #define CONFIGURE_MAXIMUM_SEMAPHORES         101
Index: testsuites/ada/tmtests/tm05/tmtest.adb
===================================================================
--- testsuites/ada/tmtests/tm05/tmtest.adb	(revision c4b8b147ddfc945810b60a2410efd8acc280ba3c)
+++ testsuites/ada/tmtests/tm05/tmtest.adb	(revision f6c9334d9b78d8a9791b2ba3ab401c43fb6eb39e)
@@ -39,5 +39,5 @@
 
       TEXT_IO.NEW_LINE( 2 );
-      TEXT_IO.PUT_LINE( "*** TIME TEST 5 ***" );
+      TEST_SUPPORT.ADA_TEST_BEGIN;
 
       TMTEST.TEST_INIT;
@@ -116,5 +116,5 @@
       );
 
-      TEXT_IO.PUT_LINE( "*** END OF TIME TEST 5 ***" );
+      TEST_SUPPORT.ADA_TEST_END;
       RTEMS.SHUTDOWN_EXECUTIVE( 0 );
 
Index: testsuites/ada/tmtests/tm06/config.h
===================================================================
--- testsuites/ada/tmtests/tm06/config.h	(revision c4b8b147ddfc945810b60a2410efd8acc280ba3c)
+++ testsuites/ada/tmtests/tm06/config.h	(revision f6c9334d9b78d8a9791b2ba3ab401c43fb6eb39e)
@@ -20,4 +20,6 @@
 
 #define CONFIGURE_MAXIMUM_TASKS              111
+
+#define ADA_TEST_NAME "ADA TM 6"
 #define CONFIGURE_MAXIMUM_TIMERS             110
 #define CONFIGURE_MAXIMUM_SEMAPHORES         101
Index: testsuites/ada/tmtests/tm06/tmtest.adb
===================================================================
--- testsuites/ada/tmtests/tm06/tmtest.adb	(revision c4b8b147ddfc945810b60a2410efd8acc280ba3c)
+++ testsuites/ada/tmtests/tm06/tmtest.adb	(revision f6c9334d9b78d8a9791b2ba3ab401c43fb6eb39e)
@@ -39,5 +39,5 @@
 
       TEXT_IO.NEW_LINE( 2 );
-      TEXT_IO.PUT_LINE( "*** TIME TEST 6 ***" );
+      TEST_SUPPORT.ADA_TEST_BEGIN;
 
       TMTEST.TEST_INIT;
@@ -181,5 +181,5 @@
       );
 
-      TEXT_IO.PUT_LINE( "*** END OF TIME TEST 6 ***" );
+      TEST_SUPPORT.ADA_TEST_END;
       RTEMS.SHUTDOWN_EXECUTIVE( 0 );
 
Index: testsuites/ada/tmtests/tm07/config.h
===================================================================
--- testsuites/ada/tmtests/tm07/config.h	(revision c4b8b147ddfc945810b60a2410efd8acc280ba3c)
+++ testsuites/ada/tmtests/tm07/config.h	(revision f6c9334d9b78d8a9791b2ba3ab401c43fb6eb39e)
@@ -20,4 +20,6 @@
 
 #define CONFIGURE_MAXIMUM_TASKS              111
+
+#define ADA_TEST_NAME "ADA TM 7"
 #define CONFIGURE_MAXIMUM_TIMERS             110
 #define CONFIGURE_MAXIMUM_SEMAPHORES         101
Index: testsuites/ada/tmtests/tm07/tmtest.adb
===================================================================
--- testsuites/ada/tmtests/tm07/tmtest.adb	(revision c4b8b147ddfc945810b60a2410efd8acc280ba3c)
+++ testsuites/ada/tmtests/tm07/tmtest.adb	(revision f6c9334d9b78d8a9791b2ba3ab401c43fb6eb39e)
@@ -39,5 +39,5 @@
 
       TEXT_IO.NEW_LINE( 2 );
-      TEXT_IO.PUT_LINE( "*** TIME TEST 7 ***" );
+      TEST_SUPPORT.ADA_TEST_BEGIN;
 
       TMTEST.TEST_INIT;
@@ -115,5 +115,5 @@
       end if;
 
-      TEXT_IO.PUT_LINE( "*** END OF TIME TEST 07 ***" );
+      TEST_SUPPORT.ADA_TEST_END;
       RTEMS.SHUTDOWN_EXECUTIVE( 0 );
 
Index: testsuites/ada/tmtests/tm08/config.h
===================================================================
--- testsuites/ada/tmtests/tm08/config.h	(revision c4b8b147ddfc945810b60a2410efd8acc280ba3c)
+++ testsuites/ada/tmtests/tm08/config.h	(revision f6c9334d9b78d8a9791b2ba3ab401c43fb6eb39e)
@@ -20,4 +20,6 @@
 
 #define CONFIGURE_MAXIMUM_TASKS              111
+
+#define ADA_TEST_NAME "ADA TM 8"
 #define CONFIGURE_MAXIMUM_TIMERS             110
 #define CONFIGURE_MAXIMUM_SEMAPHORES         101
Index: testsuites/ada/tmtests/tm08/tmtest.adb
===================================================================
--- testsuites/ada/tmtests/tm08/tmtest.adb	(revision c4b8b147ddfc945810b60a2410efd8acc280ba3c)
+++ testsuites/ada/tmtests/tm08/tmtest.adb	(revision f6c9334d9b78d8a9791b2ba3ab401c43fb6eb39e)
@@ -41,5 +41,5 @@
 
       TEXT_IO.NEW_LINE( 2 );
-      TEXT_IO.PUT_LINE( "*** TIME TEST 8 ***" );
+      TEST_SUPPORT.ADA_TEST_BEGIN;
 
       TMTEST.TEST_INIT;
@@ -267,5 +267,5 @@
       );
 
-      TEXT_IO.PUT_LINE( "*** END OF TIME TEST 8 ***" );
+      TEST_SUPPORT.ADA_TEST_END;
       RTEMS.SHUTDOWN_EXECUTIVE( 0 );
 
Index: testsuites/ada/tmtests/tm09/config.h
===================================================================
--- testsuites/ada/tmtests/tm09/config.h	(revision c4b8b147ddfc945810b60a2410efd8acc280ba3c)
+++ testsuites/ada/tmtests/tm09/config.h	(revision f6c9334d9b78d8a9791b2ba3ab401c43fb6eb39e)
@@ -20,4 +20,6 @@
 
 #define CONFIGURE_MAXIMUM_TASKS              2
+
+#define ADA_TEST_NAME "ADA TM 9"
 #define CONFIGURE_MAXIMUM_MESSAGE_QUEUES     1
 #define CONFIGURE_TICKS_PER_TIMESLICE        0
Index: testsuites/ada/tmtests/tm09/tmtest.adb
===================================================================
--- testsuites/ada/tmtests/tm09/tmtest.adb	(revision c4b8b147ddfc945810b60a2410efd8acc280ba3c)
+++ testsuites/ada/tmtests/tm09/tmtest.adb	(revision f6c9334d9b78d8a9791b2ba3ab401c43fb6eb39e)
@@ -42,5 +42,5 @@
 
       TEXT_IO.NEW_LINE( 2 );
-      TEXT_IO.PUT_LINE( "*** TIME TEST 9 ***" );
+      TEST_SUPPORT.ADA_TEST_BEGIN;
 
       RTEMS.TASKS.CREATE( 
@@ -109,5 +109,5 @@
       );
 
-      TEXT_IO.PUT_LINE( "*** END OF TIME TEST 9 ***" );
+      TEST_SUPPORT.ADA_TEST_END;
       RTEMS.SHUTDOWN_EXECUTIVE( 0 );
 
Index: testsuites/ada/tmtests/tm10/config.h
===================================================================
--- testsuites/ada/tmtests/tm10/config.h	(revision c4b8b147ddfc945810b60a2410efd8acc280ba3c)
+++ testsuites/ada/tmtests/tm10/config.h	(revision f6c9334d9b78d8a9791b2ba3ab401c43fb6eb39e)
@@ -20,4 +20,6 @@
 
 #define CONFIGURE_MAXIMUM_TASKS              110
+
+#define ADA_TEST_NAME "ADA TM 10"
 #define CONFIGURE_MAXIMUM_MESSAGE_QUEUES     1
 #define CONFIGURE_TICKS_PER_TIMESLICE        0
Index: testsuites/ada/tmtests/tm10/tmtest.adb
===================================================================
--- testsuites/ada/tmtests/tm10/tmtest.adb	(revision c4b8b147ddfc945810b60a2410efd8acc280ba3c)
+++ testsuites/ada/tmtests/tm10/tmtest.adb	(revision f6c9334d9b78d8a9791b2ba3ab401c43fb6eb39e)
@@ -41,5 +41,5 @@
 
       TEXT_IO.NEW_LINE( 2 );
-      TEXT_IO.PUT_LINE( "*** TIME TEST 10 ***" );
+      TEST_SUPPORT.ADA_TEST_BEGIN;
 
       TMTEST.TEST_INIT;
@@ -213,5 +213,5 @@
       );
 
-      TEXT_IO.PUT_LINE( "*** END OF TIME TEST 10 ***" );
+      TEST_SUPPORT.ADA_TEST_END;
       RTEMS.SHUTDOWN_EXECUTIVE( 0 );
 
Index: testsuites/ada/tmtests/tm11/config.h
===================================================================
--- testsuites/ada/tmtests/tm11/config.h	(revision c4b8b147ddfc945810b60a2410efd8acc280ba3c)
+++ testsuites/ada/tmtests/tm11/config.h	(revision f6c9334d9b78d8a9791b2ba3ab401c43fb6eb39e)
@@ -20,4 +20,6 @@
 
 #define CONFIGURE_MAXIMUM_TASKS              111
+
+#define ADA_TEST_NAME "ADA TM 11"
 #define CONFIGURE_MAXIMUM_MESSAGE_QUEUES     1
 #define CONFIGURE_TICKS_PER_TIMESLICE        0
Index: testsuites/ada/tmtests/tm11/tmtest.adb
===================================================================
--- testsuites/ada/tmtests/tm11/tmtest.adb	(revision c4b8b147ddfc945810b60a2410efd8acc280ba3c)
+++ testsuites/ada/tmtests/tm11/tmtest.adb	(revision f6c9334d9b78d8a9791b2ba3ab401c43fb6eb39e)
@@ -42,5 +42,5 @@
 
       TEXT_IO.NEW_LINE( 2 );
-      TEXT_IO.PUT_LINE( "*** TIME TEST 11 ***" );
+      TEST_SUPPORT.ADA_TEST_BEGIN;
 
       RTEMS.TASKS.CREATE( 
@@ -175,5 +175,5 @@
       );
 
-      TEXT_IO.PUT_LINE( "*** END OF TIME TEST 11 ***" );
+      TEST_SUPPORT.ADA_TEST_END;
       RTEMS.SHUTDOWN_EXECUTIVE( 0 );
 
Index: testsuites/ada/tmtests/tm12/config.h
===================================================================
--- testsuites/ada/tmtests/tm12/config.h	(revision c4b8b147ddfc945810b60a2410efd8acc280ba3c)
+++ testsuites/ada/tmtests/tm12/config.h	(revision f6c9334d9b78d8a9791b2ba3ab401c43fb6eb39e)
@@ -20,4 +20,6 @@
 
 #define CONFIGURE_MAXIMUM_TASKS              111
+
+#define ADA_TEST_NAME "ADA TM 12"
 #define CONFIGURE_MAXIMUM_MESSAGE_QUEUES     1
 #define CONFIGURE_TICKS_PER_TIMESLICE        0
Index: testsuites/ada/tmtests/tm12/tmtest.adb
===================================================================
--- testsuites/ada/tmtests/tm12/tmtest.adb	(revision c4b8b147ddfc945810b60a2410efd8acc280ba3c)
+++ testsuites/ada/tmtests/tm12/tmtest.adb	(revision f6c9334d9b78d8a9791b2ba3ab401c43fb6eb39e)
@@ -42,5 +42,5 @@
 
       TEXT_IO.NEW_LINE( 2 );
-      TEXT_IO.PUT_LINE( "*** TIME TEST 12 ***" );
+      TEST_SUPPORT.ADA_TEST_BEGIN;
 
       RTEMS.TASKS.CREATE( 
@@ -169,5 +169,5 @@
       );
 
-      TEXT_IO.PUT_LINE( "*** END OF TIME TEST 12 ***" );
+      TEST_SUPPORT.ADA_TEST_END;
       RTEMS.SHUTDOWN_EXECUTIVE( 0 );
 
Index: testsuites/ada/tmtests/tm13/config.h
===================================================================
--- testsuites/ada/tmtests/tm13/config.h	(revision c4b8b147ddfc945810b60a2410efd8acc280ba3c)
+++ testsuites/ada/tmtests/tm13/config.h	(revision f6c9334d9b78d8a9791b2ba3ab401c43fb6eb39e)
@@ -20,4 +20,6 @@
 
 #define CONFIGURE_MAXIMUM_TASKS              111
+
+#define ADA_TEST_NAME "ADA TM 13"
 #define CONFIGURE_MAXIMUM_MESSAGE_QUEUES     1
 #define CONFIGURE_TICKS_PER_TIMESLICE        0
Index: testsuites/ada/tmtests/tm13/tmtest.adb
===================================================================
--- testsuites/ada/tmtests/tm13/tmtest.adb	(revision c4b8b147ddfc945810b60a2410efd8acc280ba3c)
+++ testsuites/ada/tmtests/tm13/tmtest.adb	(revision f6c9334d9b78d8a9791b2ba3ab401c43fb6eb39e)
@@ -42,5 +42,5 @@
 
       TEXT_IO.NEW_LINE( 2 );
-      TEXT_IO.PUT_LINE( "*** TIME TEST 13 ***" );
+      TEST_SUPPORT.ADA_TEST_BEGIN;
 
       RTEMS.TASKS.CREATE( 
@@ -173,5 +173,5 @@
       );
 
-      TEXT_IO.PUT_LINE( "*** END OF TIME TEST 13 ***" );
+      TEST_SUPPORT.ADA_TEST_END;
       RTEMS.SHUTDOWN_EXECUTIVE( 0 );
 
Index: testsuites/ada/tmtests/tm14/config.h
===================================================================
--- testsuites/ada/tmtests/tm14/config.h	(revision c4b8b147ddfc945810b60a2410efd8acc280ba3c)
+++ testsuites/ada/tmtests/tm14/config.h	(revision f6c9334d9b78d8a9791b2ba3ab401c43fb6eb39e)
@@ -20,4 +20,6 @@
 
 #define CONFIGURE_MAXIMUM_TASKS              111
+
+#define ADA_TEST_NAME "ADA TM 14"
 #define CONFIGURE_MAXIMUM_MESSAGE_QUEUES     1
 #define CONFIGURE_TICKS_PER_TIMESLICE        0
Index: testsuites/ada/tmtests/tm14/tmtest.adb
===================================================================
--- testsuites/ada/tmtests/tm14/tmtest.adb	(revision c4b8b147ddfc945810b60a2410efd8acc280ba3c)
+++ testsuites/ada/tmtests/tm14/tmtest.adb	(revision f6c9334d9b78d8a9791b2ba3ab401c43fb6eb39e)
@@ -42,5 +42,5 @@
 
       TEXT_IO.NEW_LINE( 2 );
-      TEXT_IO.PUT_LINE( "*** TIME TEST 14 ***" );
+      TEST_SUPPORT.ADA_TEST_BEGIN;
 
       RTEMS.TASKS.CREATE( 
@@ -180,5 +180,5 @@
       );
 
-      TEXT_IO.PUT_LINE( "*** END OF TIME TEST 14 ***" );
+      TEST_SUPPORT.ADA_TEST_END;
       RTEMS.SHUTDOWN_EXECUTIVE( 0 );
 
Index: testsuites/ada/tmtests/tm15/config.h
===================================================================
--- testsuites/ada/tmtests/tm15/config.h	(revision c4b8b147ddfc945810b60a2410efd8acc280ba3c)
+++ testsuites/ada/tmtests/tm15/config.h	(revision f6c9334d9b78d8a9791b2ba3ab401c43fb6eb39e)
@@ -20,4 +20,6 @@
 
 #define CONFIGURE_MAXIMUM_TASKS              111
+
+#define ADA_TEST_NAME "ADA TM 15"
 #define CONFIGURE_MAXIMUM_MESSAGE_QUEUES     1
 #define CONFIGURE_TICKS_PER_TIMESLICE        0
Index: testsuites/ada/tmtests/tm15/tmtest.adb
===================================================================
--- testsuites/ada/tmtests/tm15/tmtest.adb	(revision c4b8b147ddfc945810b60a2410efd8acc280ba3c)
+++ testsuites/ada/tmtests/tm15/tmtest.adb	(revision f6c9334d9b78d8a9791b2ba3ab401c43fb6eb39e)
@@ -39,5 +39,5 @@
 
       TEXT_IO.NEW_LINE( 2 );
-      TEXT_IO.PUT_LINE( "*** TIME TEST 15 ***" );
+      TEST_SUPPORT.ADA_TEST_BEGIN;
 
       TMTEST.TEST_INIT;
@@ -233,5 +233,5 @@
       );
 
-      TEXT_IO.PUT_LINE( "*** END OF TIME TEST 15 ***" );
+      TEST_SUPPORT.ADA_TEST_END;
       RTEMS.SHUTDOWN_EXECUTIVE( 0 );
 
Index: testsuites/ada/tmtests/tm16/config.h
===================================================================
--- testsuites/ada/tmtests/tm16/config.h	(revision c4b8b147ddfc945810b60a2410efd8acc280ba3c)
+++ testsuites/ada/tmtests/tm16/config.h	(revision f6c9334d9b78d8a9791b2ba3ab401c43fb6eb39e)
@@ -20,4 +20,6 @@
 
 #define CONFIGURE_MAXIMUM_TASKS              111
+
+#define ADA_TEST_NAME "ADA TM 16"
 #define CONFIGURE_MAXIMUM_MESSAGE_QUEUES     1
 #define CONFIGURE_TICKS_PER_TIMESLICE        0
Index: testsuites/ada/tmtests/tm16/tmtest.adb
===================================================================
--- testsuites/ada/tmtests/tm16/tmtest.adb	(revision c4b8b147ddfc945810b60a2410efd8acc280ba3c)
+++ testsuites/ada/tmtests/tm16/tmtest.adb	(revision f6c9334d9b78d8a9791b2ba3ab401c43fb6eb39e)
@@ -41,5 +41,5 @@
 
       TEXT_IO.NEW_LINE( 2 );
-      TEXT_IO.PUT_LINE( "*** TIME TEST 16 ***" );
+      TEST_SUPPORT.ADA_TEST_BEGIN;
 
       RTEMS.TASKS.CREATE( 
@@ -189,5 +189,5 @@
       );
 
-      TEXT_IO.PUT_LINE( "*** END OF TIME TEST 16 ***" );
+      TEST_SUPPORT.ADA_TEST_END;
       RTEMS.SHUTDOWN_EXECUTIVE( 0 );
 
Index: testsuites/ada/tmtests/tm17/config.h
===================================================================
--- testsuites/ada/tmtests/tm17/config.h	(revision c4b8b147ddfc945810b60a2410efd8acc280ba3c)
+++ testsuites/ada/tmtests/tm17/config.h	(revision f6c9334d9b78d8a9791b2ba3ab401c43fb6eb39e)
@@ -20,4 +20,6 @@
 
 #define CONFIGURE_MAXIMUM_TASKS              111
+
+#define ADA_TEST_NAME "ADA TM 17"
 #define CONFIGURE_MAXIMUM_MESSAGE_QUEUES     1
 #define CONFIGURE_TICKS_PER_TIMESLICE        0
Index: testsuites/ada/tmtests/tm17/tmtest.adb
===================================================================
--- testsuites/ada/tmtests/tm17/tmtest.adb	(revision c4b8b147ddfc945810b60a2410efd8acc280ba3c)
+++ testsuites/ada/tmtests/tm17/tmtest.adb	(revision f6c9334d9b78d8a9791b2ba3ab401c43fb6eb39e)
@@ -40,5 +40,5 @@
 
       TEXT_IO.NEW_LINE( 2 );
-      TEXT_IO.PUT_LINE( "*** TIME TEST 17 ***" );
+      TEST_SUPPORT.ADA_TEST_BEGIN;
 
       TMTEST.TASK_PRIORITY := 254;
@@ -148,5 +148,5 @@
       );
 
-      TEXT_IO.PUT_LINE( "*** END OF TIME TEST 17 ***" );
+      TEST_SUPPORT.ADA_TEST_END;
       RTEMS.SHUTDOWN_EXECUTIVE( 0 );
 
Index: testsuites/ada/tmtests/tm18/config.h
===================================================================
--- testsuites/ada/tmtests/tm18/config.h	(revision c4b8b147ddfc945810b60a2410efd8acc280ba3c)
+++ testsuites/ada/tmtests/tm18/config.h	(revision f6c9334d9b78d8a9791b2ba3ab401c43fb6eb39e)
@@ -20,4 +20,6 @@
 
 #define CONFIGURE_MAXIMUM_TASKS              111
+
+#define ADA_TEST_NAME "ADA TM 18"
 #define CONFIGURE_MAXIMUM_MESSAGE_QUEUES     1
 #define CONFIGURE_TICKS_PER_TIMESLICE        0
Index: testsuites/ada/tmtests/tm18/tmtest.adb
===================================================================
--- testsuites/ada/tmtests/tm18/tmtest.adb	(revision c4b8b147ddfc945810b60a2410efd8acc280ba3c)
+++ testsuites/ada/tmtests/tm18/tmtest.adb	(revision f6c9334d9b78d8a9791b2ba3ab401c43fb6eb39e)
@@ -40,5 +40,5 @@
 
       TEXT_IO.NEW_LINE( 2 );
-      TEXT_IO.PUT_LINE( "*** TIME TEST 18 ***" );
+      TEST_SUPPORT.ADA_TEST_BEGIN;
 
       TMTEST.TEST_INIT;
@@ -144,5 +144,5 @@
       );
 
-      TEXT_IO.PUT_LINE( "*** END OF TIME TEST 18 ***" );
+      TEST_SUPPORT.ADA_TEST_END;
       RTEMS.SHUTDOWN_EXECUTIVE( 0 );
 
Index: testsuites/ada/tmtests/tm19/config.h
===================================================================
--- testsuites/ada/tmtests/tm19/config.h	(revision c4b8b147ddfc945810b60a2410efd8acc280ba3c)
+++ testsuites/ada/tmtests/tm19/config.h	(revision f6c9334d9b78d8a9791b2ba3ab401c43fb6eb39e)
@@ -20,4 +20,6 @@
 
 #define CONFIGURE_MAXIMUM_TASKS              111
+
+#define ADA_TEST_NAME "ADA TM 19"
 #define CONFIGURE_MAXIMUM_MESSAGE_QUEUES     1
 #define CONFIGURE_TICKS_PER_TIMESLICE        0
Index: testsuites/ada/tmtests/tm19/tmtest.adb
===================================================================
--- testsuites/ada/tmtests/tm19/tmtest.adb	(revision c4b8b147ddfc945810b60a2410efd8acc280ba3c)
+++ testsuites/ada/tmtests/tm19/tmtest.adb	(revision f6c9334d9b78d8a9791b2ba3ab401c43fb6eb39e)
@@ -40,5 +40,5 @@
 
       TEXT_IO.NEW_LINE( 2 );
-      TEXT_IO.PUT_LINE( "*** TIME TEST 19 ***" );
+      TEST_SUPPORT.ADA_TEST_BEGIN;
 
       RTEMS.TASKS.CREATE( 
@@ -280,5 +280,5 @@
      );
 
-      TEXT_IO.PUT_LINE( "*** END OF TIME TEST 19 ***" );
+      TEST_SUPPORT.ADA_TEST_END;
      RTEMS.SHUTDOWN_EXECUTIVE( 0 );
 
Index: testsuites/ada/tmtests/tm20/config.h
===================================================================
--- testsuites/ada/tmtests/tm20/config.h	(revision c4b8b147ddfc945810b60a2410efd8acc280ba3c)
+++ testsuites/ada/tmtests/tm20/config.h	(revision f6c9334d9b78d8a9791b2ba3ab401c43fb6eb39e)
@@ -22,4 +22,6 @@
 #define CONFIGURE_MAXIMUM_REGIONS            1
 #define CONFIGURE_MAXIMUM_TASKS              3
+
+#define ADA_TEST_NAME "ADA TM 20"
 #define CONFIGURE_TICKS_PER_TIMESLICE        0
 
Index: testsuites/ada/tmtests/tm20/tmtest.adb
===================================================================
--- testsuites/ada/tmtests/tm20/tmtest.adb	(revision c4b8b147ddfc945810b60a2410efd8acc280ba3c)
+++ testsuites/ada/tmtests/tm20/tmtest.adb	(revision f6c9334d9b78d8a9791b2ba3ab401c43fb6eb39e)
@@ -41,5 +41,5 @@
 
       TEXT_IO.NEW_LINE( 2 );
-      TEXT_IO.PUT_LINE( "*** TIME TEST 20 ***" );
+      TEST_SUPPORT.ADA_TEST_BEGIN;
 
       RTEMS.TASKS.CREATE( 
@@ -395,5 +395,5 @@
       );
 
-      TEXT_IO.PUT_LINE( "*** END OF TIME TEST 20 ***" );
+      TEST_SUPPORT.ADA_TEST_END;
       RTEMS.SHUTDOWN_EXECUTIVE( 0 );
 
Index: testsuites/ada/tmtests/tm21/config.h
===================================================================
--- testsuites/ada/tmtests/tm21/config.h	(revision c4b8b147ddfc945810b60a2410efd8acc280ba3c)
+++ testsuites/ada/tmtests/tm21/config.h	(revision f6c9334d9b78d8a9791b2ba3ab401c43fb6eb39e)
@@ -20,4 +20,6 @@
 
 #define CONFIGURE_MAXIMUM_TASKS              102
+
+#define ADA_TEST_NAME "ADA TM 21"
 #define CONFIGURE_MAXIMUM_TIMERS             100
 #define CONFIGURE_MAXIMUM_SEMAPHORES         100
Index: testsuites/ada/tmtests/tm21/tmtest.adb
===================================================================
--- testsuites/ada/tmtests/tm21/tmtest.adb	(revision c4b8b147ddfc945810b60a2410efd8acc280ba3c)
+++ testsuites/ada/tmtests/tm21/tmtest.adb	(revision f6c9334d9b78d8a9791b2ba3ab401c43fb6eb39e)
@@ -47,5 +47,5 @@
 
       TEXT_IO.NEW_LINE( 2 );
-      TEXT_IO.PUT_LINE( "*** TIME TEST 21 ***" );
+      TEST_SUPPORT.ADA_TEST_BEGIN;
 
       RTEMS.TASKS.CREATE( 
@@ -297,5 +297,5 @@
       );
 
-      TEXT_IO.PUT_LINE( "*** END OF TIME TEST 21 ***" );
+      TEST_SUPPORT.ADA_TEST_END;
       RTEMS.SHUTDOWN_EXECUTIVE( 0 );
 
Index: testsuites/ada/tmtests/tm22/config.h
===================================================================
--- testsuites/ada/tmtests/tm22/config.h	(revision c4b8b147ddfc945810b60a2410efd8acc280ba3c)
+++ testsuites/ada/tmtests/tm22/config.h	(revision f6c9334d9b78d8a9791b2ba3ab401c43fb6eb39e)
@@ -20,4 +20,6 @@
 
 #define CONFIGURE_MAXIMUM_TASKS              103
+
+#define ADA_TEST_NAME "ADA TM 22"
 #define CONFIGURE_MAXIMUM_MESSAGE_QUEUES     1
 #define CONFIGURE_TICKS_PER_TIMESLICE        0
Index: testsuites/ada/tmtests/tm22/tmtest.adb
===================================================================
--- testsuites/ada/tmtests/tm22/tmtest.adb	(revision c4b8b147ddfc945810b60a2410efd8acc280ba3c)
+++ testsuites/ada/tmtests/tm22/tmtest.adb	(revision f6c9334d9b78d8a9791b2ba3ab401c43fb6eb39e)
@@ -41,5 +41,5 @@
 
       TEXT_IO.NEW_LINE( 2 );
-      TEXT_IO.PUT_LINE( "*** TIME TEST 22 ***" );
+      TEST_SUPPORT.ADA_TEST_BEGIN;
 
       RTEMS.MESSAGE_QUEUE.CREATE( 
@@ -216,5 +216,5 @@
       );
 
-      TEXT_IO.PUT_LINE( "*** END OF TIME TEST 22 ***" );
+      TEST_SUPPORT.ADA_TEST_END;
       RTEMS.SHUTDOWN_EXECUTIVE( 0 );
 
Index: testsuites/ada/tmtests/tm23/config.h
===================================================================
--- testsuites/ada/tmtests/tm23/config.h	(revision c4b8b147ddfc945810b60a2410efd8acc280ba3c)
+++ testsuites/ada/tmtests/tm23/config.h	(revision f6c9334d9b78d8a9791b2ba3ab401c43fb6eb39e)
@@ -20,4 +20,6 @@
 
 #define CONFIGURE_MAXIMUM_TASKS              111
+
+#define ADA_TEST_NAME "ADA TM 23"
 #define CONFIGURE_MAXIMUM_TIMERS             110
 #define CONFIGURE_TICKS_PER_TIMESLICE        0
Index: testsuites/ada/tmtests/tm23/tmtest.adb
===================================================================
--- testsuites/ada/tmtests/tm23/tmtest.adb	(revision c4b8b147ddfc945810b60a2410efd8acc280ba3c)
+++ testsuites/ada/tmtests/tm23/tmtest.adb	(revision f6c9334d9b78d8a9791b2ba3ab401c43fb6eb39e)
@@ -44,5 +44,5 @@
 
       TEXT_IO.NEW_LINE( 2 );
-      TEXT_IO.PUT_LINE( "*** TIME TEST 23 ***" );
+      TEST_SUPPORT.ADA_TEST_BEGIN;
 
       TASK_PRIORITY := 5;
@@ -381,5 +381,5 @@
       );
 
-      TEXT_IO.PUT_LINE( "*** END OF TIME TEST 23 ***" );
+      TEST_SUPPORT.ADA_TEST_END;
       RTEMS.SHUTDOWN_EXECUTIVE( 0 );
 
Index: testsuites/ada/tmtests/tm24/config.h
===================================================================
--- testsuites/ada/tmtests/tm24/config.h	(revision c4b8b147ddfc945810b60a2410efd8acc280ba3c)
+++ testsuites/ada/tmtests/tm24/config.h	(revision f6c9334d9b78d8a9791b2ba3ab401c43fb6eb39e)
@@ -20,4 +20,6 @@
 
 #define CONFIGURE_MAXIMUM_TASKS              111
+
+#define ADA_TEST_NAME "ADA TM 24"
 #define CONFIGURE_TICKS_PER_TIMESLICE        0
 
Index: testsuites/ada/tmtests/tm24/tmtest.adb
===================================================================
--- testsuites/ada/tmtests/tm24/tmtest.adb	(revision c4b8b147ddfc945810b60a2410efd8acc280ba3c)
+++ testsuites/ada/tmtests/tm24/tmtest.adb	(revision f6c9334d9b78d8a9791b2ba3ab401c43fb6eb39e)
@@ -41,5 +41,5 @@
 
       TEXT_IO.NEW_LINE( 2 );
-      TEXT_IO.PUT_LINE( "*** TIME TEST 24 ***" );
+      TEST_SUPPORT.ADA_TEST_BEGIN;
 
       TIMER_DRIVER.INITIALIZE;
@@ -149,5 +149,5 @@
          );
 
-      TEXT_IO.PUT_LINE( "*** END OF TIME TEST 24 ***" );
+      TEST_SUPPORT.ADA_TEST_END;
          RTEMS.SHUTDOWN_EXECUTIVE( 0 );
 
Index: testsuites/ada/tmtests/tm25/config.h
===================================================================
--- testsuites/ada/tmtests/tm25/config.h	(revision c4b8b147ddfc945810b60a2410efd8acc280ba3c)
+++ testsuites/ada/tmtests/tm25/config.h	(revision f6c9334d9b78d8a9791b2ba3ab401c43fb6eb39e)
@@ -20,4 +20,6 @@
 
 #define CONFIGURE_MAXIMUM_TASKS              111
+
+#define ADA_TEST_NAME "ADA TM 25"
 #define CONFIGURE_MAXIMUM_SEMAPHORES         1
 #define CONFIGURE_TICKS_PER_TIMESLICE        0
Index: testsuites/ada/tmtests/tm25/tmtest.adb
===================================================================
--- testsuites/ada/tmtests/tm25/tmtest.adb	(revision c4b8b147ddfc945810b60a2410efd8acc280ba3c)
+++ testsuites/ada/tmtests/tm25/tmtest.adb	(revision f6c9334d9b78d8a9791b2ba3ab401c43fb6eb39e)
@@ -42,5 +42,5 @@
 
       TEXT_IO.NEW_LINE( 2 );
-      TEXT_IO.PUT_LINE( "*** TIME TEST 25 ***" );
+      TEST_SUPPORT.ADA_TEST_BEGIN;
 
       RTEMS.SEMAPHORE.CREATE(
@@ -148,5 +148,5 @@
       );
 
-      TEXT_IO.PUT_LINE( "*** END OF TIME TEST 25 ***" );
+      TEST_SUPPORT.ADA_TEST_END;
       RTEMS.SHUTDOWN_EXECUTIVE( 0 );
 
Index: testsuites/ada/tmtests/tm28/config.h
===================================================================
--- testsuites/ada/tmtests/tm28/config.h	(revision c4b8b147ddfc945810b60a2410efd8acc280ba3c)
+++ testsuites/ada/tmtests/tm28/config.h	(revision f6c9334d9b78d8a9791b2ba3ab401c43fb6eb39e)
@@ -20,4 +20,6 @@
 
 #define CONFIGURE_MAXIMUM_TASKS              2
+
+#define ADA_TEST_NAME "ADA TM 28"
 #define CONFIGURE_MAXIMUM_PORTS              1
 #define CONFIGURE_TICKS_PER_TIMESLICE        0
Index: testsuites/ada/tmtests/tm28/tmtest.adb
===================================================================
--- testsuites/ada/tmtests/tm28/tmtest.adb	(revision c4b8b147ddfc945810b60a2410efd8acc280ba3c)
+++ testsuites/ada/tmtests/tm28/tmtest.adb	(revision f6c9334d9b78d8a9791b2ba3ab401c43fb6eb39e)
@@ -39,5 +39,5 @@
 
       TEXT_IO.NEW_LINE( 2 );
-      TEXT_IO.PUT_LINE( "*** TIME TEST 28 ***" );
+      TEST_SUPPORT.ADA_TEST_BEGIN;
 
       RTEMS.TASKS.CREATE( 
@@ -164,5 +164,5 @@
       );
 
-      TEXT_IO.PUT_LINE( "*** END OF TIME TEST 28 ***" );
+      TEST_SUPPORT.ADA_TEST_END;
       RTEMS.SHUTDOWN_EXECUTIVE( 0 );
  
Index: testsuites/ada/tmtests/tm29/config.h
===================================================================
--- testsuites/ada/tmtests/tm29/config.h	(revision c4b8b147ddfc945810b60a2410efd8acc280ba3c)
+++ testsuites/ada/tmtests/tm29/config.h	(revision f6c9334d9b78d8a9791b2ba3ab401c43fb6eb39e)
@@ -20,4 +20,6 @@
 
 #define CONFIGURE_MAXIMUM_TASKS              111
+
+#define ADA_TEST_NAME "ADA TM 29"
 #define CONFIGURE_MAXIMUM_PERIODS            111
 #define CONFIGURE_TICKS_PER_TIMESLICE        0
Index: testsuites/ada/tmtests/tm29/tmtest.adb
===================================================================
--- testsuites/ada/tmtests/tm29/tmtest.adb	(revision c4b8b147ddfc945810b60a2410efd8acc280ba3c)
+++ testsuites/ada/tmtests/tm29/tmtest.adb	(revision f6c9334d9b78d8a9791b2ba3ab401c43fb6eb39e)
@@ -42,5 +42,5 @@
 
       TEXT_IO.NEW_LINE( 2 );
-      TEXT_IO.PUT_LINE( "*** TIME TEST 29 ***" );
+      TEST_SUPPORT.ADA_TEST_BEGIN;
 
       TMTEST.PERIOD_NAME := RTEMS.BUILD_NAME( 'P', 'R', 'D', ' ' );
@@ -229,5 +229,5 @@
       );
    
-      TEXT_IO.PUT_LINE( "*** END OF TIME TEST 29 ***" );
+      TEST_SUPPORT.ADA_TEST_END;
       RTEMS.SHUTDOWN_EXECUTIVE( 0 );
 
Index: testsuites/ada/tmtests/tmck/config.h
===================================================================
--- testsuites/ada/tmtests/tmck/config.h	(revision c4b8b147ddfc945810b60a2410efd8acc280ba3c)
+++ testsuites/ada/tmtests/tmck/config.h	(revision f6c9334d9b78d8a9791b2ba3ab401c43fb6eb39e)
@@ -20,4 +20,6 @@
 
 #define CONFIGURE_MAXIMUM_TASKS              2
+
+#define ADA_TEST_NAME "ADA TMCK"
 #define CONFIGURE_MAXIMUM_SEMAPHORES         1
 #define CONFIGURE_TICKS_PER_TIMESLICE        0
Index: testsuites/ada/tmtests/tmck/tmtest.adb
===================================================================
--- testsuites/ada/tmtests/tmck/tmtest.adb	(revision c4b8b147ddfc945810b60a2410efd8acc280ba3c)
+++ testsuites/ada/tmtests/tmck/tmtest.adb	(revision f6c9334d9b78d8a9791b2ba3ab401c43fb6eb39e)
@@ -40,5 +40,5 @@
 
       TEXT_IO.NEW_LINE( 2 );
-      TEXT_IO.PUT_LINE( "*** TIME TEST CHECK ***" );
+      TEST_SUPPORT.ADA_TEST_BEGIN;
 
       TIMER_DRIVER.SET_FIND_AVERAGE_OVERHEAD( TRUE );
@@ -150,5 +150,5 @@
       );
 
-      TEXT_IO.PUT_LINE( "*** END OF TIME TEST CHECK ***" );
+      TEST_SUPPORT.ADA_TEST_END;
       RTEMS.SHUTDOWN_EXECUTIVE( 0 );
    
Index: testsuites/ada/tmtests/tmoverhd/config.h
===================================================================
--- testsuites/ada/tmtests/tmoverhd/config.h	(revision c4b8b147ddfc945810b60a2410efd8acc280ba3c)
+++ testsuites/ada/tmtests/tmoverhd/config.h	(revision f6c9334d9b78d8a9791b2ba3ab401c43fb6eb39e)
@@ -20,4 +20,6 @@
 
 #define CONFIGURE_MAXIMUM_TASKS              2
+
+#define ADA_TEST_NAME "ADA TMOVERHD"
 #define CONFIGURE_MAXIMUM_SEMAPHORES         1
 #define CONFIGURE_TICKS_PER_TIMESLICE        0
Index: testsuites/ada/tmtests/tmoverhd/tmtest.adb
===================================================================
--- testsuites/ada/tmtests/tmoverhd/tmtest.adb	(revision c4b8b147ddfc945810b60a2410efd8acc280ba3c)
+++ testsuites/ada/tmtests/tmoverhd/tmtest.adb	(revision f6c9334d9b78d8a9791b2ba3ab401c43fb6eb39e)
@@ -40,5 +40,5 @@
 
       TEXT_IO.NEW_LINE( 2 );
-      TEXT_IO.PUT_LINE( "*** TIME TEST OVERHEAD ***" );
+      TEST_SUPPORT.ADA_TEST_BEGIN;
 
       TIMER_DRIVER.SET_FIND_AVERAGE_OVERHEAD( TRUE );
@@ -1356,5 +1356,5 @@
       );
 
-      TEXT_IO.PUT_LINE( "*** END OF TIME TEST OVERHEAD ***" );
+      TEST_SUPPORT.ADA_TEST_END;
       RTEMS.SHUTDOWN_EXECUTIVE( 0 );
    
